--
-- $Id$
--
-- Vooruit leveren aanpassing in keuzelijst tbv contractors

DEFINE thisfile = 'AKZA#54126.SQL'
DEFINE dbuser   = '^AKZA'

SET ECHO ON
SET DEFINE ON
COLUMN fcltlogfile NEW_VALUE fcltlogfile NOPRINT;
WHENEVER SQLERROR EXIT;
SELECT adm.scriptspoolfile('&dbuser', '&thisfile') AS fcltlogfile FROM DUAL;
WHENEVER SQLERROR CONTINUE;
SPOOL &fcltlogfile
SET DEFINE OFF

------ payload begin ------

-- Tbv van de aanvraag van (tijdelijke) badges is het nodig om een onderscheid te kunnen maken tussen medewerkers intern (incl. Teijin) en contractors
CREATE OR REPLACE VIEW AKZA_V_CONTRACTORS
(
   prs_perslid_key,
   naam,
   prs_perslid_verwijder
)
AS
   SELECT p.prs_perslid_key,
          p.prs_perslid_string || ' / ' || fac_usrdata_code,
          p.prs_perslid_verwijder
     FROM AKZA_V_PERSLID p, PRS_KENMERKLINK kl, FAC_USRDATA ud
    WHERE     prs_link_key = prs_perslid_key
          AND prs_kenmerk_key = 1520
          AND fac_usrtab_key = 527
          AND prs_kenmerklink_waarde = fac_usrdata_key
          AND fac_usrdata_key IN (4354, 4355);


------ payload end   ------

SET DEFINE OFF
BEGIN adm.systrackscriptId ('$Id$', 1); END;
/

COMMIT;
SET ECHO OFF
SPOOL OFF
SET DEFINE ON
PROMPT Logfile of this upgrade is: &fcltlogfile
